Retrieve a list of devices.
Filtering by custom properties
Use the query parameter to filter devices on custom properties. Syntax:
properties.key:value: matches devices with a property that contains a key namedkeywith a value ofvalue; use double quotes if the value contains spaces or special charactersproperties.key:value1,value2: matches devices with a property that contains a key namedkeyand its value is eithervalue1orvalue2properties.key:*: matches devices with a property that contains a key namedkeyand any value*:value: matches devices with a property that contains a key with any name and a value ofvaluefoo: matches devices with properties where any key or stringified value containsfooMultiple qualifiers can be used in the same query string; this will filter devices matching the intersection of the qualifiers (AND).
- Productionhttps://api.foxglove.dev/v1/devices
from foxglove.client import Client
token = "<YOUR API TOKEN HERE>"
client = Client(token=token)
client.get_devices()
List of devices
Retention period for recordings on a device running Foxlet, in seconds. Set to 0 to retain recordings indefinitely.
A key-value map of the custom properties associated with this device.
Whether this device is enabled. Devices are enabled by default, unless they are created with a device token with preapproved set to false. Disabled devices show up in the device list, but you can't upload recordings for them. A device token linked to a disabled device does not grant access to the API.
Whether remote access is enabled for this device. When disabled, the device cannot establish new remote access sessions.
Whether recordings on this device are automatically deleted once they have been successfully uploaded and accepted for import. This is only relevant for devices that have Foxlet installed.
[ { "id": "string", "name": "string", "projectId": "string", "retainRecordingsSeconds": 0, "properties": { … }, "enabled": true, "remoteAccessEnabled": true, "autoDeleteAfterImport": true, "orgId": "string", "createdAt": "2019-08-24", "updatedAt": "2019-08-24T14:15:22Z" } ]